--- 
# By default, each component is put onto every static node.
#
# However, exceptions are caused as follows:
#   - Individual mirrors can set a 'components-include' list.
#       A mirror that has a components-include list will mirror
#       exactly those components.
#   - Individual components can exclude themselves from
#       being pushed to individual mirrors by setting
#       an 'exclude-mirrors' list.
#   - Alternatively, individual components can provide a
#       whitelist of mirrors ('limit-mirrors') that they should
#       be synced to, thus excluding all others.
#
# Empty lists do not count.
#
# A mirrorrun for a component can only be triggered by its source
# host and any hosts listed in that components "extra-push" list.

staticsync::components:
  bits.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/bits-master.debian.org/htdocs
  planet.debian.org:
    master: static-master-ubc-01.debian.org
    source: philp.debian.org:/srv/planet.debian.org/www
  www.debian.org:
    master: static-master-manda-01.debian.org
    source: wolkenstein.debian.org:/srv/www.debian.org/www
  appstream.debian.org:
    master: static-master-ubc-01.debian.org
    source: mekeel.debian.org:/srv/appstream.debian.org/public
  blends.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/blends.debian.org/www
  bootstrap.debian.net:
    master: static-master-grnet-01.debian.org
    source: boott.debian.org:/srv/bootstrap.debian.net/htdocs
  d-i.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/d-i.debian.org/www
  debaday.debian.net:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/debaday.debian.net/htdocs
  debdeltas.debian.net:
    master: static-master-ubc-01.debian.org
    source: donizetti.debian.org:/srv/debdelta.debian.org/www/debdeltas
  dpl.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/dpl.debian.org/htdocs
  dsa.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/dsa.debian.org/htdocs
  lintian.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/lintian.debian.org/htdocs
  manpages.debian.org:
    master: static-master-ubc-01.debian.org
    source: manziarly.debian.org:/srv/manpages.debian.org/www
    check_override_vars:
      allowed_skew: 2700:25200
  mozilla.debian.net:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/mozilla.debian.net/htdocs
  micronews.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/micronews.debian.org/htdocs
  mirror-master.debian.org:
    master: static-master-grnet-01.debian.org
    source: melartin.debian.org:/srv/mirror-team.debian.org/htdocs
    limit-mirrors:
      - klecker.debian.org
      - mirror-csail.debian.org
  news.debian.net:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/news.debian.net/htdocs
  incoming.ports.debian.org:
    master: porta.debian.org
    source: porta.debian.org:/srv/ports-master.debian.org/queue/accepted
  release.debian.org:
    master: static-master-grnet-01.debian.org
    source: respighi.debian.org:/srv/release.debian.org/www
  release.debian.org-pu:
    master: static-master-ubc-01.debian.org
    source: coccia.debian.org:/srv/release.debian.org/www/proposed-updates
    check_override_vars:
      service_name: release.debian.org
      path: proposed-updates/.serial
  security-team.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/security-team.debian.org/htdocs
  wnpp-by-tags.debian.net:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/wnpp-by-tags.debian.net/www
  www.ports.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/ports.debian.org/htdocs
  timeline.debian.net:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/timeline.debian.net/htdocs
  backports.debian.org:
    master: static-master-ubc-01.debian.org
    source: coccia.debian.org:/srv/backports.debian.org/htdocs
  incoming.debian.org:
    master: fasolo.debian.org
    source: fasolo.debian.org:/srv/ftp-master.debian.org/public/incoming.debian.org/web
  metadata.ftp-master.debian.org:
    master: fasolo.debian.org
    source: fasolo.debian.org:/srv/ftp-master.debian.org/export
  onion.debian.org:
    master: static-master-manda-01.debian.org
    source: dillon.debian.org:/srv/onion-master.debian.org/htdocs
  openpgpkey.debian.org:
    master: static-master-manda-01.debian.org
    source: kaufmann.debian.org:/srv/keyring.debian.org/openpgpkey
  cdbuilder-logs.debian.org:
    master: static-master-manda-01.debian.org
    source: casulana.debian.org:/srv/cdbuilder.debian.org/dst/deb-cd/log
  10years.debconf.org   : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/10years.debconf.org' }
  debconf0.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf0.debconf.org' }
  debconf1.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf1.debconf.org' }
  debconf2.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf2.debconf.org' }
  debconf3.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf3.debconf.org' }
  debconf4.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf4.debconf.org' }
  debconf5.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf5.debconf.org' }
  debconf6.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf6.debconf.org' }
  debconf7.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf7.debconf.org' }
  debconf8.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf8.debconf.org' }
  debconf9.debconf.org  : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf9.debconf.org' }
  debconf10.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf10.debconf.org' }
  debconf11.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf11.debconf.org' }
  debconf12.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf12.debconf.org' }
  debconf13.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf13.debconf.org' }
  debconf14.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf14.debconf.org' }
  debconf15.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf15.debconf.org' }
  debconf16.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf16.debconf.org' }
  debconf17.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf17.debconf.org' }
  debconf18.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf18.debconf.org' }
  debconf19.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf19.debconf.org' }
  debconf20.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf20.debconf.org' }
  debconf21.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf21.debconf.org' }
  debconf22.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf22.debconf.org' }
  debconf23.debconf.org : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/debconf23.debconf.org' }
  es.debconf.org        : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/es.debconf.org' }
  fr.debconf.org        : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/fr.debconf.org' }
  miniconf10.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/miniconf10.debconf.org' }
  bcn2014.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/bcn2014.mini.debconf.org' }
  br2016.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/br2016.mini.debconf.org' }
  br2017.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/br2017.mini.debconf.org' }
  br2018.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/br2018.mini.debconf.org' }
  bucharest2015.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/bucharest2015.mini.debconf.org' }
  fr2010.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/fr2010.mini.debconf.org' }
  fr2012.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/fr2012.mini.debconf.org' }
  hamburg-2022.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/hamburg-2022.mini.debconf.org' }
  hamburg-2023.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/hamburg-2023.mini.debconf.org' }
  in2010.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2010.mini.debconf.org' }
  in2011.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2011.mini.debconf.org' }
  in2013.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2013.mini.debconf.org' }
  ni2013.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/ni2013.mini.debconf.org' }
  in2014.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2014.mini.debconf.org' }
  in2015.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2015.mini.debconf.org' }
  nz2015.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/nz2015.mini.debconf.org' }
  in2016.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2016.mini.debconf.org' }
  in2021.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2021.mini.debconf.org' }
  in2022.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/in2022.mini.debconf.org' }
  mdco2.mini.debconf.org:  { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/mdco2.mini.debconf.org' }
  pt2023.mini.debconf.org: { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/pt2023.mini.debconf.org' }
  tn23.mini.debconf.org:   { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/tn23.mini.debconf.org' }
  mdcobr2020.debian.net:   { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/mdcobr2020.debian.net' }
  penta.debconf.org     : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/penta.debconf.org' }
  wiki.debconf.org      : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/wiki.debconf.org' }
  www.debconf.org       : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/www.debconf.org' }
  media.debconf.org     : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/media.debconf.org' }
  summit.debconf.org    : { master: 'static-master-manda-01.debian.org', source: 'dillon.debian.org:/srv/debconf-webpages/web/summit.debconf.org' }
  deb.debian.org:
    master: 'static-master-manda-01.debian.org'
    source: 'dillon.debian.org:/srv/deb.debian.org/htdocs'
    check_override_vars:
      service_name: deb-nagios.debian.org
      ssl: false

# The list of mirrors comes from puppetdb (list of hosts that include a certain class).
# This is just to set some arguments for specific mirrors.
staticsync::mirror_overrides:
  mirror-anu.debian.org:
    components-include: # all others are thus excluded
      - www.debian.org
  santoro.debian.org:
    components-include: # all others are thus excluded
      - www.debian.org

